/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecAccess;

import dstep.corefoundation.CFArray;
import dstep.corefoundation.CFBase;
import dstep.security.SecBase;
import dstep.security.cssmtype;

extern (C)
{
	uint SecAccessGetTypeID ();
	int SecAccessCreate (CFStringRef descriptor, CFArrayRef trustedlist, SecAccessRef* accessRef);
	int SecAccessCreateFromOwnerAndACL (CSSM_ACL_OWNER_PROTOTYPE* owner, uint aclCount, CSSM_ACL_ENTRY_INFO* acls, SecAccessRef* accessRef);
	int SecAccessGetOwnerAndACL (SecAccessRef accessRef, CSSM_ACL_OWNER_PROTOTYPE_PTR* owner, uint* aclCount, CSSM_ACL_ENTRY_INFO_PTR* acls);
	int SecAccessCopyACLList (SecAccessRef accessRef, CFArrayRef* aclList);
	int SecAccessCopySelectedACLList (SecAccessRef accessRef, int action, CFArrayRef* aclList);
}